<?php
/*
Plugin Name: Registrations for The Events Calendar Register in List View
Description: Adds Register button to all events in the "List" view.
Version: 1.0
Author: Roundup WP
License: GPLv2 or later
*/

function ru_custom_list_view_display() {

	// gets the current post id
	$event_id = get_the_ID();

	// if registrations for the events calendar is not active, return
	if ( ! function_exists( 'rtec_get_event_meta' ) || $event_id == 0 ) {
		return;
	}

	// uses the shortcode to display the form for each event in the list
	echo do_shortcode( '[rtec-registration-form event='.$event_id.']' );
}
add_action( 'tribe_events_after_the_meta', 'ru_custom_list_view_display' );